Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Interface IALFolderDescription

All Superinterfaces:
  IALNodeDescription, IALNodeProperties, IUserLayoutFolderDescription, IUserLayoutNodeDescription

All Known Implementing Classes:
  ALFolderDescription

    public interface IALFolderDescription

extends IUserLayoutFolderDescription, IALNodeDescription

An interface describing an Aggregated Layout folder descriptions. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  1.0 $Revision: 1.1 $ $Date: 2005/05/03 20:40:47 $
Author:
  Michael Ivanov

Field Summary
`static java.lang.String` | `LOST_FOLDER_ID`
`static java.lang.String` | `ROOT_FOLDER_ID`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutFolderDescription
`folderTypeNames, FOOTER_TYPE, HEADER_TYPE, REGULAR_TYPE`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Fields inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`CHANNEL, FOLDER`

Method Summary

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutFolderDescription
`getFolderType, getXML, setFolderType`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Methods inherited from interface org.jasig.portal.layout.node.IUserLayoutNodeDescription
`addNodeAttributes, getId, getName, getPrecedence, getType, isAddChildAllowed, isDeleteAllowed, isEditAllowed, isHidden, isImmutable, isMoveAllowed, isUnremovable, setAddChildAllowed, setDeleteAllowed, setEditAllowed, setHidden, setId, setImmutable, setMoveAllowed, setName, setPrecedence, setUnremovable`

Methods inherited from interface org.jasig.portal.layout.alm.IALNodeProperties
`addRestriction, addRestrictionChildren, getFragmentId, getFragmentNodeId, getGroup, getRestriction, getRestrictions, getRestrictionsByPath, setFragmentId, setFragmentNodeId, setGroup, setRestrictions`

Field Detail

### LOST_FOLDER_ID

    static final java.lang.String LOST_FOLDER_ID

See Also:
  Constant Field Values

### ROOT_FOLDER_ID

    static final java.lang.String ROOT_FOLDER_ID

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD